# `DatabaseError`

The DatabaseError class is accessible via the `sqlobject.dberrors` module.

## Attributes

#### a `args`

    <attribute 'args' of 'exceptions.BaseException' objects>

#### a `message`

    <attribute 'message' of 'exceptions.BaseException' objects>

## Methods

#### f `__getitem__(...)` ...

x.__getitem__(y) <==> x[y]

#### f `__getslice__(...)` ...

x.__getslice__(i, j) <==> x[i:j]

Use of negative indices is not supported.

#### f `__setstate__(...)` ...

#### f `__format__(...)` ...

default object formatter

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `__unicode__(...)` ...

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__init__(...)` ...

x.__init__(...) initializes x; see help(type(x)) for signature

See the source for more information.